//
//  WeekTotalTemplate.swift
//  Feels (iOS)
//
//  Created by Trey Tartt on 2/9/22.
//

import SwiftUI

struct WeekTotalTemplate: View, SharingTemplate {
    static var description: String {
        "WeekTotalTemplate"
    }
    
    var image: UIImage {
        return  UIImage(systemName: "square.and.arrow.up")!
    }
    
    var isPreview: Bool
    
    var startDate: Date
    var endDate: Date
    
    var preview: some View {
        Rectangle()
            .frame(width: 150, height: 50, alignment: .leading)
    }
    
    var mainView: some View {
        Text("WeekTotalTemplate body")
    }
    
    var body: some View {
        if isPreview {
            preview
        } else {
            mainView
        }
    }
}

struct WeekTotalTemplate_Previews: PreviewProvider {
    static var previews: some View {
        WeekTotalTemplate(isPreview: true, startDate: Date(), endDate: Date())
        
        WeekTotalTemplate(isPreview: false, startDate: Date(), endDate: Date())
    }
}
